Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Feature #2527

NA Financial Reports
03/06/2017 08:46 AM - Oleksii Kurasov

Status: Rejected
Priority: Urgent
Assignee: Oleksii Kurasov
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

03/06/2017
03/17/2017
0%

0.00 hour
0.00 hour

Description

Not implemented yet Currently it is only one screening payment exists. Seems as should be two — screening and review payments.

NEED TO BE CLARIFIED WITH NMRC!!!!

History

#1 - 03/10/2017 03:43 AM - Oleksii Kurasov
- Due date changed from 03/09/2017 to 03/15/2017

#2 - 03/10/2017 04:26 AM - Oleksii Kurasov
- Due date changed from 03/15/2017 to 03/17/2017

#3 - 03/10/2017 04:29 AM - Oleksii Kurasov

- Status changed from New to Rejected

2530 instead

06/07/2025
